classification
Title: compiler warning on HP-UX
Type: behavior Stage:
Components: Build Versions: Python 2.6
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, theller
Priority: low Keywords:

Created on 2008-06-03 05:55 by theller, last changed 2010-09-16 16:08 by BreamoreBoy. This issue is now closed.

Messages (2)
msg67649 - (view) Author: Thomas Heller (theller) * (Python committer) Date: 2008-06-03 05:55
On HP-UX, there is a compiler warning about _POSIX_C_SOURCE redefined:

bash-2.04$ make
        gcc -pthread -c -fno-strict-aliasing -DNDEBUG -g -fwrapv -O3
-Wall -Wstrict-prototypes  -I. -IInclude -I./Include   -DPy_BUILD_CORE
-o Modules/python.o ./Modules/python.c
In file included from Include/Python.h:8,
                 from ./Modules/python.c:3:
./pyconfig.h:1023:1: warning: "_POSIX_C_SOURCE" redefined
<command line>:3:1: warning: this is the location of the previous definition
        gcc -pthread -c -fno-strict-aliasing -DNDEBUG -g -fwrapv -O3
-Wall -Wstrict-prototypes  -I. -IInclude -I./Include   -DPy_BUILD_CORE
-o Parser/acceler.o Parser/acceler.c
In file included from Include/Python.h:8,
                 from Include/pgenheaders.h:10,
                 from Parser/acceler.c:13:
./pyconfig.h:1023:1: warning: "_POSIX_C_SOURCE" redefined
...
msg116567 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-09-16 16:08
I can't believe that a build issue relating to 2.6 is still valid over two years later.
History
Date User Action Args
2010-09-16 16:08:01BreamoreBoysetstatus: open -> closed

nosy: + BreamoreBoy
messages: + msg116567

resolution: out of date
2009-05-16 19:39:59ajaksu2setpriority: low
type: behavior
2008-06-03 05:55:56thellercreate